JGraph X 1.3.0.0

## com.mxgraph.swing
Class mxGraphOutline.MouseTracker

    java.lang.Object
      com.mxgraph.swing.mxGraphOutline.MouseTracker

All Implemented Interfaces:
  java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.util.EventListener

Enclosing class:
  mxGraphOutline

    public class mxGraphOutline.MouseTracker

extends java.lang.Object
implements java.awt.event.MouseListener, java.awt.event.MouseMotionListener

Field Summary
`protected java.awt.Point` `start`

Constructor Summary
`mxGraphOutline.MouseTracker()`

Method Summary
`boolean` `hitZoomHandle(int x, int y)`
`void` `mouseClicked(java.awt.event.MouseEvent e)`
`void` `mouseDragged(java.awt.event.MouseEvent e)`
`void` `mouseEntered(java.awt.event.MouseEvent e)`
`void` `mouseExited(java.awt.event.MouseEvent e)`
`void` `mouseMoved(java.awt.event.MouseEvent e)`
`void` `mousePressed(java.awt.event.MouseEvent e)`
`void` `mouseReleased(java.awt.event.MouseEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### start

    protected java.awt.Point start

Constructor Detail

### mxGraphOutline.MouseTracker

    public mxGraphOutline.MouseTracker()

Method Detail

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### hitZoomHandle

    public boolean hitZoomHandle(int x,
                                 int y)

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.